# TSSundialsSetGMRESRestart

Sets the dimension of the Krylov space used by GMRES in the linear solver in SUNDIALS. SUNDIALS DOES NOT use restarted GMRES so this is ALSO the maximum number of GMRES steps that will be used.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsSetGMRESRestart(TS ts,int restart)

Collective on TS

### Input parameters

| ts | - the time-step context
| restart | - number of direction vectors (the restart size).

### Keywords

GMRES, restart

### See Also

TSSundialsGetIterations(), TSSundialsSetType(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsSetExactFinalTime()

Level:advanced
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages